Index: XMLIO_SERVER/trunk/arch/arch-IA64_PLATINE.path.orig
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-IA64_PLATINE.path.orig	(revision 15)
+++ XMLIO_SERVER/trunk/arch/arch-IA64_PLATINE.path.orig	(revision 15)
@@ -0,0 +1,27 @@
+set NETCDF_INCDIR="-I/usr/include"
+set NETCDF_LIBDIR="-L/usr/lib"
+set NETCDF_LIB="-lnetcdff -lnetcdf"
+<<<<<<< .mine
+set IOIPSL_INCDIR="-I$PWD/../../lib"
+set IOIPSL_LIBDIR="-L$PWD/../../lib"
+=======
+
+set IOIPSL_INCDIR="-I$PWD/../../lib"
+set IOIPSL_LIBDIR="-L$PWD/../../lib"
+>>>>>>> .r13
+set IOIPSL_LIB="-lioipsl"
+<<<<<<< .mine
+set XMLF90_INCDIR="-I$PWD/../XMLF90/inc"
+set XMLF90_LIBDIR="-L$PWD/../XMLF90/lib"
+=======
+
+set XMLF90_INCDIR="-I$PWD/../../lib"
+set XMLF90_LIBDIR="-L$PWD/../../lib"
+>>>>>>> .r13
+set XMLF90_LIB="-lxmlf90"
+
+set VAMPIR_INCDIR="-I/applications/intel/ict/3.0/itac/7.0/include"
+set VAMPIR_LIBDIR="-L/applications/intel/ict/3.0/itac/7.0/lib" 
+set VAMPIR_LIB="-lVT -lvtunwind -ldwarf -lelf -lpthread"
+
+
Index: XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.fcm
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.fcm	(revision 15)
+++ XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.fcm	(revision 15)
@@ -0,0 +1,15 @@
+%COMPILER            sxmpif90
+%LINKER              sxmpif90
+%AR                  sxar
+%MAKE                make
+%FPP_FLAGS           -P -traditional 
+%FPP_DEF             
+%BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A idbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
+%PROD_FFLAGS         -C vopt
+%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
+%DEBUG_FFLAGS        -C debug -eC -Wf,-init stack=nan,-init heap=nan
+%MPI_FFLAGS
+%OMP_FFLAGS          -P openmp 
+%BASE_LD             -size_t64
+%MPI_LD
+%OMP_LD              -P openmp
Index: XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.path
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.path	(revision 15)
+++ XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.path	(revision 15)
@@ -0,0 +1,9 @@
+set NETCDF_LIBDIR="-L/SXlocal/pub/netCDF/netCDF-3.6.1/lib"
+set NETCDF_INCDIR="-I/SXlocal/pub/netCDF/netCDF-3.6.1/include"
+set NETCDF_LIB="-lnetcdf"
+set IOIPSL_INCDIR="-I$PWD/../../lib"
+set IOIPSL_LIBDIR="-L$PWD/../../lib"
+set IOIPSL_LIB="-lioipsl"
+set XMLF90_INCDIR="-I$PWD/../XMLF90/inc"
+set XMLF90_LIBDIR="-L$PWD/../XMLF90/lib"
+set XMLF90_LIB="-lxmlf90"
Index: XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.fcm
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.fcm	(revision 15)
+++ XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.fcm	(revision 15)
@@ -0,0 +1,15 @@
+%COMPILER            sxmpif90
+%LINKER              sxmpif90
+%AR                  sxar
+%MAKE                make
+%FPP_FLAGS           -P -traditional 
+%FPP_DEF             
+%BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A idbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
+%PROD_FFLAGS         -C vopt
+%DEV_FFLAGS          -C vsafe -gv -Wf,-init stack=nan,-init heap=nan
+%DEBUG_FFLAGS        -C debug -eC -Wf,-init stack=nan,-init heap=nan
+%MPI_FFLAGS
+%OMP_FFLAGS          -P openmp 
+%BASE_LD             -size_t64
+%MPI_LD
+%OMP_LD              -P openmp
Index: XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.path
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.path	(revision 15)
+++ XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.path	(revision 15)
@@ -0,0 +1,9 @@
+set NETCDF_LIBDIR="-L/usr/local/SX8/soft/netcdf/lib"
+set NETCDF_INCDIR="-I/usr/local/SX8/soft/netcdf/include"
+set NETCDF_LIB="-lnetcdf"
+set IOIPSL_INCDIR="-I$PWD/../../lib"
+set IOIPSL_LIBDIR="-L$PWD/../../lib"
+set IOIPSL_LIB="-lioipsl"
+set XMLF90_INCDIR="-I$PWD/../XMLF90/inc"
+set XMLF90_LIBDIR="-L$PWD/../XMLF90/lib"
+set XMLF90_LIB="-lxmlf90"