Index: XMLIO_SERVER/trunk/src/IOSERVER/mod_boxed_domain.f90
===================================================================
--- XMLIO_SERVER/trunk/src/IOSERVER/mod_boxed_domain.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/IOSERVER/mod_boxed_domain.f90	(revision 17)
@@ -12,6 +12,6 @@
     INTEGER :: jbegin
     INTEGER :: jend
-    REAL,ALLOCATABLE :: lon(:,:)
-    REAL,ALLOCATABLE :: lat(:,:)
+    REAL,POINTER :: lon(:,:)
+    REAL,POINTER :: lat(:,:)
   END TYPE local_domain
   
Index: XMLIO_SERVER/trunk/src/IOSERVER/mod_interface_ioipsl.f90
===================================================================
--- XMLIO_SERVER/trunk/src/IOSERVER/mod_interface_ioipsl.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/IOSERVER/mod_interface_ioipsl.f90	(revision 17)
@@ -125,4 +125,5 @@
       
      CALL sorted_list__find(sorted_id,hash(varname),pos,found)
+
      IF (found) THEN
        pt_field_base=>field_id%at(pos)%pt
@@ -154,12 +155,14 @@
         
      CALL sorted_list__find(sorted_id,hash(varname),pos,found)
-     pt_field_base=>field_id%at(pos)%pt
-     
-     DO i=1,pt_field_base%field_out%size
-       pt_field=>pt_field_base%field_out%at(i)%pt%field
-       ioipsl_file_id=pt_field%internal(id_file)
-       CALL histwrite(ioipsl_file_id, TRIM(pt_field%name), timestep_nb, var, size(var), nindex)
-     ENDDO
-     
+
+     IF (found) THEN
+       pt_field_base=>field_id%at(pos)%pt
+     
+       DO i=1,pt_field_base%field_out%size
+         pt_field=>pt_field_base%field_out%at(i)%pt%field
+         ioipsl_file_id=pt_field%internal(id_file)
+         CALL histwrite(ioipsl_file_id, TRIM(pt_field%name), timestep_nb, var, size(var), nindex)
+       ENDDO
+     ENDIF
    END SUBROUTINE write_ioipsl_3d
            
Index: XMLIO_SERVER/trunk/src/IOSERVER/mod_iomanager.f90
===================================================================
--- XMLIO_SERVER/trunk/src/IOSERVER/mod_iomanager.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/IOSERVER/mod_iomanager.f90	(revision 17)
@@ -274,7 +274,7 @@
       
       IF (pt_field%axis%name/="none") THEN
+        CALL write_ioipsl_3d(varname,Field_buffer(1:ni,1:nj,1:nk))
+      ELSE 
         CALL write_ioipsl_2d(varname,Field_buffer(1:ni,1:nj,1))
-      ELSE 
-        CALL write_ioipsl_3d(varname,Field_buffer(1:ni,1:nj,1:nk))
       ENDIF
     
@@ -296,5 +296,5 @@
     INTEGER :: ni,nj,nk,ibegin,jbegin
     INTEGER :: id_rank
-    
+
     CALL field__get(varname,pt_field)
     id_rank=pt_field%grid%ranks(current_rank)
Index: XMLIO_SERVER/trunk/src/IOSERVER/mod_mpi_buffer_client.f90
===================================================================
--- XMLIO_SERVER/trunk/src/IOSERVER/mod_mpi_buffer_client.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/IOSERVER/mod_mpi_buffer_client.f90	(revision 17)
@@ -57,5 +57,4 @@
 !    PRINT *,"Pos in Buffer",Pending_request(Request_pos)%Pos,"pack_pos",pack_pos
     CALL pack(request_id)
-
   END SUBROUTINE create_request
   
@@ -97,5 +96,5 @@
       IF ( nb_request_pending==1 .AND. (buffer_free < MPI_buffer_size * 0.4) ) THEN
         ok_out=.FALSE.
-        CALL Wait_us(10)
+        CALL Wait_us(1)
         IF (.NOT. is_buffer_full) THEN
           CALL VTb(VTbuffer_full)
@@ -119,5 +118,5 @@
                     server_rank,tag_iocomm,iocomm,Pending_request(Request_pos)%request,ierr )
     
-!    PRINT *,"Requete envoyée !!!!" 
+!    PRINT *,"Requete envoyï¿œe !!!!" 
 !    PRINT *,"Message : ",MPI_Buffer(Pending_request(Request_pos)%Pos:Pending_request(Request_pos)%Pos+message_size-1)              
       IF ( Pack_Pos > MPI_buffer_size*0.6 ) THEN
Index: XMLIO_SERVER/trunk/src/IOSERVER/mod_mpi_buffer_server.f90
===================================================================
--- XMLIO_SERVER/trunk/src/IOSERVER/mod_mpi_buffer_server.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/IOSERVER/mod_mpi_buffer_server.f90	(revision 17)
@@ -178,5 +178,5 @@
       IF (Buffers(n)%request_free==0) THEN
         PRINT *,'Plus de requete disponible !!!!'
-        CALL MPI_ABORT(MPI_COMM_WORLD,ierr)
+        CALL MPI_ABORT(MPI_COMM_WORLD,-1,ierr)
       ENDIF
       
@@ -197,5 +197,5 @@
       IF (total_size>message_size) THEN
         PRINT *,"Probleme : la taille du message ne coincide pas avec la taille de l'enveloppe"
-        CALL MPI_ABORT(MPI_COMM_WORLD,ierr)
+        CALL MPI_ABORT(MPI_COMM_WORLD,-1,ierr)
       ENDIF
       
@@ -255,5 +255,5 @@
       ENDIF
     ELSE
-      CALL Wait_us(50)
+      CALL Wait_us(5)
     ENDIF     
   END SUBROUTINE process_request  
Index: XMLIO_SERVER/trunk/src/IOSERVER/server.f90
===================================================================
--- XMLIO_SERVER/trunk/src/IOSERVER/server.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/IOSERVER/server.f90	(revision 17)
@@ -13,5 +13,5 @@
   LOGICAL :: is_terminated
   
-  CALL SLEEP(60)
+!  CALL SLEEP(60)
   PRINT *,'je suis un serveur'
   CALL init_parallel
Index: XMLIO_SERVER/trunk/src/XMLIO/mod_axis_group.f90
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/mod_axis_group.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/mod_axis_group.f90	(revision 17)
@@ -113,5 +113,5 @@
   
   
-  SUBROUTINE axis_group__get_default_attribut(Pt_ag,Pt_a)
+  SUBROUTINE axis_group__get_default_attrib(Pt_ag,Pt_a)
   IMPLICIT NONE
     TYPE(axis_group),POINTER  :: Pt_ag
@@ -119,5 +119,5 @@
     
     Pt_a=>Pt_ag%default_attribut
-  END SUBROUTINE axis_group__get_default_attribut
+  END SUBROUTINE axis_group__get_default_attrib
   
   RECURSIVE SUBROUTINE axis_group__apply_default(Pt_ag,default)
@@ -125,5 +125,4 @@
     TYPE(axis_group),POINTER           :: Pt_ag
     TYPE(axis),POINTER,OPTIONAL        :: default
-    
     INTEGER :: i
     
Index: XMLIO_SERVER/trunk/src/XMLIO/mod_dependency.f90
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/mod_dependency.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/mod_dependency.f90	(revision 17)
@@ -199,5 +199,4 @@
       pt_field=>pt_field_out%field
       pt_field_base=>pt_field%field_base
-      
       CALL sorted_list__find(sorted_id,hash(pt_field_base%id),pos,found)
       IF (.NOT. found) THEN
Index: XMLIO_SERVER/trunk/src/XMLIO/mod_field_group.f90
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/mod_field_group.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/mod_field_group.f90	(revision 17)
@@ -113,5 +113,5 @@
   
   
-  SUBROUTINE field_group__get_default_attribut(Pt_fg,Pt_f)
+  SUBROUTINE field_group__get_default_attrib(Pt_fg,Pt_f)
   IMPLICIT NONE
     TYPE(field_group),POINTER  :: Pt_fg
@@ -119,5 +119,5 @@
     
     Pt_f=>Pt_fg%default_attribut
-  END SUBROUTINE field_group__get_default_attribut
+  END SUBROUTINE field_group__get_default_attrib
 
   
Index: XMLIO_SERVER/trunk/src/XMLIO/mod_file_group.f90
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/mod_file_group.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/mod_file_group.f90	(revision 17)
@@ -113,5 +113,5 @@
   
   
-  SUBROUTINE file_group__get_default_attribut(Pt_fg,Pt_f)
+  SUBROUTINE file_group__get_default_attrib(Pt_fg,Pt_f)
   IMPLICIT NONE
     TYPE(file_group),POINTER  :: Pt_fg
@@ -119,5 +119,5 @@
     
     Pt_f=>Pt_fg%default_attribut
-  END SUBROUTINE file_group__get_default_attribut
+  END SUBROUTINE file_group__get_default_attrib
   
   RECURSIVE SUBROUTINE file_group__apply_default(Pt_fg,default)
Index: XMLIO_SERVER/trunk/src/XMLIO/mod_grid.f90
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/mod_grid.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/mod_grid.f90	(revision 17)
@@ -159,5 +159,5 @@
     INTEGER :: i
     
-      ALLOCATE(pt_grid%ranks(0:pt_grid%subdomain%size-1))
+      ALLOCATE(pt_grid%ranks(1:pt_grid%subdomain%size))
 
       DO i=1,pt_grid%subdomain%size
Index: XMLIO_SERVER/trunk/src/XMLIO/mod_grid_group.f90
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/mod_grid_group.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/mod_grid_group.f90	(revision 17)
@@ -113,5 +113,5 @@
   
   
-  SUBROUTINE grid_group__get_default_attribut(Pt_gg,Pt_g)
+  SUBROUTINE grid_group__get_default_attrib(Pt_gg,Pt_g)
   IMPLICIT NONE
     TYPE(grid_group),POINTER  :: Pt_gg
@@ -119,5 +119,5 @@
     
     Pt_g=>Pt_gg%default_attribut
-  END SUBROUTINE grid_group__get_default_attribut
+  END SUBROUTINE grid_group__get_default_attrib
   
   RECURSIVE SUBROUTINE grid_group__apply_default(Pt_gg,default)
Index: XMLIO_SERVER/trunk/src/XMLIO/mod_parse_xml.f90
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/mod_parse_xml.f90	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/mod_parse_xml.f90	(revision 17)
@@ -136,5 +136,5 @@
     ENDIF
       
-    CALL axis_group__get_default_attribut(pt_axis_group,attribute)
+    CALL axis_group__get_default_attrib(pt_axis_group,attribute)
     CALL parsing_axis_attribute(node,attribute)
     
@@ -212,4 +212,9 @@
       value =  getAttribute(node,"unit")
       CALL axis__set(pt_axis,unit=TRIM(value))
+    ENDIF
+
+    IF (is_attribute_exist(node,"size")) THEN
+      value =  getAttribute(node,"size")
+      CALL axis__set(pt_axis,a_size=string_to_integer(value))
     ENDIF
    
@@ -255,5 +260,5 @@
     ENDIF
       
-    CALL grid_group__get_default_attribut(pt_grid_group,attribute)
+    CALL grid_group__get_default_attrib(pt_grid_group,attribute)
     CALL parsing_grid_attribute(node,attribute)
     
@@ -368,5 +373,5 @@
     ENDIF
       
-    CALL field_group__get_default_attribut(pt_field_group,attribute)
+    CALL field_group__get_default_attrib(pt_field_group,attribute)
     CALL parsing_field_attribute(node,attribute)
     
@@ -525,5 +530,5 @@
     ENDIF
       
-    CALL file_group__get_default_attribut(pt_file_group,attribute)
+    CALL file_group__get_default_attrib(pt_file_group,attribute)
     CALL parsing_file_attribute(node,attribute)
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_axis_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_axis_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_axis_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_axis__increase(vect)
     TYPE(vector_axis), INTENT(INOUT) :: vect
-    TYPE (Pt_axis), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_axis__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_axis_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_axis_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_axis_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_axis 
+  TYPE Pt_axis__ 
     TYPE (axis),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_axis
+  END TYPE Pt_axis__
 
   TYPE vector_axis
   
-    TYPE (Pt_axis), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_axis__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_axis_group_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_axis_group_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_axis_group_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_axis_group__increase(vect)
     TYPE(vector_axis_group), INTENT(INOUT) :: vect
-    TYPE (Pt_axis_group), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_axis_group__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_axis_group_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_axis_group_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_axis_group_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_axis_group 
+  TYPE Pt_axis_group__ 
     TYPE (axis_group),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_axis_group
+  END TYPE Pt_axis_group__
 
   TYPE vector_axis_group
   
-    TYPE (Pt_axis_group), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_axis_group__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_contains.template
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_contains.template	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_contains.template	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_#TYPE#__increase(vect)
     TYPE(vector_#TYPE#), INTENT(INOUT) :: vect
-    TYPE (Pt_#TYPE#), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_#TYPE#__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_def.template
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_def.template	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_def.template	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_#TYPE# 
+  TYPE Pt_#TYPE#__ 
     TYPE (#TYPE#),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_#TYPE#
+  END TYPE Pt_#TYPE#__
 
   TYPE vector_#TYPE#
   
-    TYPE (Pt_#TYPE#), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_#TYPE#__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_domain_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_domain_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_domain_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_domain__increase(vect)
     TYPE(vector_domain), INTENT(INOUT) :: vect
-    TYPE (Pt_domain), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_domain__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_domain_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_domain_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_domain_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_domain 
+  TYPE Pt_domain__ 
     TYPE (domain),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_domain
+  END TYPE Pt_domain__
 
   TYPE vector_domain
   
-    TYPE (Pt_domain), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_domain__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_field_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_field_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_field_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_field__increase(vect)
     TYPE(vector_field), INTENT(INOUT) :: vect
-    TYPE (Pt_field), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_field__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_field_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_field_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_field_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_field 
+  TYPE Pt_field__ 
     TYPE (field),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_field
+  END TYPE Pt_field__
 
   TYPE vector_field
   
-    TYPE (Pt_field), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_field__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_field_dep_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_field_dep_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_field_dep_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_field_dep__increase(vect)
     TYPE(vector_field_dep), INTENT(INOUT) :: vect
-    TYPE (Pt_field_dep), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_field_dep__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_field_dep_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_field_dep_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_field_dep_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_field_dep 
+  TYPE Pt_field_dep__ 
     TYPE (field_dep),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_field_dep
+  END TYPE Pt_field_dep__
 
   TYPE vector_field_dep
   
-    TYPE (Pt_field_dep), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_field_dep__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_field_group_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_field_group_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_field_group_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_field_group__increase(vect)
     TYPE(vector_field_group), INTENT(INOUT) :: vect
-    TYPE (Pt_field_group), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_field_group__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_field_group_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_field_group_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_field_group_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_field_group 
+  TYPE Pt_field_group__ 
     TYPE (field_group),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_field_group
+  END TYPE Pt_field_group__
 
   TYPE vector_field_group
   
-    TYPE (Pt_field_group), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_field_group__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_field_out_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_field_out_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_field_out_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_field_out__increase(vect)
     TYPE(vector_field_out), INTENT(INOUT) :: vect
-    TYPE (Pt_field_out), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_field_out__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_field_out_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_field_out_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_field_out_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_field_out 
+  TYPE Pt_field_out__ 
     TYPE (field_out),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_field_out
+  END TYPE Pt_field_out__
 
   TYPE vector_field_out
   
-    TYPE (Pt_field_out), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_field_out__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_file_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_file_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_file_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_file__increase(vect)
     TYPE(vector_file), INTENT(INOUT) :: vect
-    TYPE (Pt_file), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_file__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_file_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_file_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_file_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_file 
+  TYPE Pt_file__ 
     TYPE (file),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_file
+  END TYPE Pt_file__
 
   TYPE vector_file
   
-    TYPE (Pt_file), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_file__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_file_dep_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_file_dep_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_file_dep_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_file_dep__increase(vect)
     TYPE(vector_file_dep), INTENT(INOUT) :: vect
-    TYPE (Pt_file_dep), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_file_dep__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_file_dep_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_file_dep_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_file_dep_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_file_dep 
+  TYPE Pt_file_dep__ 
     TYPE (file_dep),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_file_dep
+  END TYPE Pt_file_dep__
 
   TYPE vector_file_dep
   
-    TYPE (Pt_file_dep), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_file_dep__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_file_group_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_file_group_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_file_group_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_file_group__increase(vect)
     TYPE(vector_file_group), INTENT(INOUT) :: vect
-    TYPE (Pt_file_group), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_file_group__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_file_group_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_file_group_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_file_group_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_file_group 
+  TYPE Pt_file_group__ 
     TYPE (file_group),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_file_group
+  END TYPE Pt_file_group__
 
   TYPE vector_file_group
   
-    TYPE (Pt_file_group), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_file_group__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_grid_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_grid_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_grid_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_grid__increase(vect)
     TYPE(vector_grid), INTENT(INOUT) :: vect
-    TYPE (Pt_grid), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_grid__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_grid_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_grid_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_grid_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_grid 
+  TYPE Pt_grid__ 
     TYPE (grid),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_grid
+  END TYPE Pt_grid__
 
   TYPE vector_grid
   
-    TYPE (Pt_grid), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_grid__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_grid_group_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_grid_group_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_grid_group_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_grid_group__increase(vect)
     TYPE(vector_grid_group), INTENT(INOUT) :: vect
-    TYPE (Pt_grid_group), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_grid_group__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_grid_group_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_grid_group_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_grid_group_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_grid_group 
+  TYPE Pt_grid_group__ 
     TYPE (grid_group),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_grid_group
+  END TYPE Pt_grid_group__
 
   TYPE vector_grid_group
   
-    TYPE (Pt_grid_group), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_grid_group__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_node_contains.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_node_contains.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_node_contains.inc	(revision 17)
@@ -72,5 +72,5 @@
   SUBROUTINE vector_node__increase(vect)
     TYPE(vector_node), INTENT(INOUT) :: vect
-    TYPE (Pt_node), POINTER, DIMENSION(:) :: Pt_tmp
+    TYPE (Pt_node__), POINTER, DIMENSION(:) :: Pt_tmp
     INTEGER :: new_size
     INTEGER :: i
Index: XMLIO_SERVER/trunk/src/XMLIO/vector_node_def.inc
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/vector_node_def.inc	(revision 16)
+++ XMLIO_SERVER/trunk/src/XMLIO/vector_node_def.inc	(revision 17)
@@ -1,11 +1,11 @@
 
-  TYPE,PRIVATE :: Pt_node 
+  TYPE Pt_node__ 
     TYPE (node),POINTER :: Pt
     LOGICAL               :: owned
-  END TYPE Pt_node
+  END TYPE Pt_node__
 
   TYPE vector_node
   
-    TYPE (Pt_node), POINTER, DIMENSION(:) :: at => NULL()
+    TYPE (Pt_node__), POINTER, DIMENSION(:) :: at => NULL()
     INTEGER :: size
     