Index: XMLIO_SERVER/trunk/src/XMLIO/mod_context.f90
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/mod_context.f90	(revision 34)
+++ XMLIO_SERVER/trunk/src/XMLIO/mod_context.f90	(revision 35)
@@ -31,10 +31,10 @@
     TYPE(vector_field_group),POINTER  :: field_group__field_group_ids
     TYPE(sorted_list),POINTER         :: field_group__Ids
-    TYPE(field_group),POINTER         :: field_definition__field_definition
+    TYPE(field_group),POINTER         :: field_definition__field_def
     TYPE(vector_file),POINTER         :: file__file_Ids
     TYPE(sorted_list),POINTER         :: file__Ids
     TYPE(vector_file_group),POINTER   :: file_group__file_group_Ids
     TYPE(sorted_list),POINTER         :: file_group__Ids 
-    TYPE(file_group),POINTER          :: file_definition__file_definition 
+    TYPE(file_group),POINTER          :: file_definition__file_def 
     TYPE(vector_grid),POINTER         :: grid__grid_Ids
     TYPE(sorted_list),POINTER         :: grid__Ids 
@@ -43,10 +43,10 @@
     TYPE(vector_grid_group),POINTER   :: grid_group__grid_group_Ids
     TYPE(sorted_list),POINTER         :: grid_group__Ids 
-    TYPE(grid_group),POINTER          :: grid_definition__grid_definition
+    TYPE(grid_group),POINTER          :: grid_definition__grid_def
     TYPE(vector_axis),POINTER         :: axis__axis_Ids
     TYPE(sorted_list),POINTER         :: axis__Ids 
     TYPE(vector_axis_group),POINTER   :: axis_group__axis_group_Ids
     TYPE(sorted_list),POINTER         :: axis_group__Ids 
-    TYPE(axis_group),POINTER          :: axis_definition__axis_definition
+    TYPE(axis_group),POINTER          :: axis_definition__axis_def
     TYPE(vector_file_dep),POINTER     :: dependency__file_enabled
     TYPE(vector_field_out),POINTER    :: dependency__field_enabled 
@@ -120,10 +120,10 @@
         ALLOCATE(pt_context%field_group__field_group_ids )
         ALLOCATE(pt_context%field_group__Ids )
-        ALLOCATE(pt_context%field_definition__field_definition )
+        ALLOCATE(pt_context%field_definition__field_def )
         ALLOCATE(pt_context%file__file_Ids)
         ALLOCATE(pt_context%file__Ids)
         ALLOCATE(pt_context%file_group__file_group_Ids)
         ALLOCATE(pt_context%file_group__Ids) 
-        ALLOCATE(pt_context%file_definition__file_definition) 
+        ALLOCATE(pt_context%file_definition__file_def) 
         ALLOCATE(pt_context%grid__grid_Ids)
         ALLOCATE(pt_context%grid__Ids) 
@@ -132,10 +132,10 @@
         ALLOCATE(pt_context%grid_group__grid_group_Ids)
         ALLOCATE(pt_context%grid_group__Ids) 
-        ALLOCATE(pt_context%grid_definition__grid_definition)
+        ALLOCATE(pt_context%grid_definition__grid_def)
         ALLOCATE(pt_context%axis__axis_Ids)
         ALLOCATE(pt_context%axis__Ids) 
         ALLOCATE(pt_context%axis_group__axis_group_Ids)
         ALLOCATE(pt_context%axis_group__Ids) 
-        ALLOCATE(pt_context%axis_definition__axis_definition)
+        ALLOCATE(pt_context%axis_definition__axis_def)
         ALLOCATE(pt_context%dependency__file_enabled)
         ALLOCATE(pt_context%dependency__field_enabled) 
@@ -212,15 +212,15 @@
       CALL field__swap_context(Pt_context%field__field_Ids ,Pt_context%field__Ids)
       CALL field_group__swap_context(Pt_context%field_group__field_group_ids ,Pt_context%field_group__Ids)
-      CALL field_definition__swap_context(Pt_context%field_definition__field_definition)
+      CALL field_definition__swap_context(Pt_context%field_definition__field_def)
       CALL file__swap_context(Pt_context%file__file_Ids,Pt_context%file__Ids)
       CALL file_group__swap_context(Pt_context%file_group__file_group_Ids,Pt_context%file_group__Ids)
-      CALL file_definition__swap_context(Pt_context%file_definition__file_definition) 
+      CALL file_definition__swap_context(Pt_context%file_definition__file_def) 
       CALL grid__swap_context(pt_context%grid__grid_Ids,pt_context%grid__Ids) 
       CALL zoom__swap_context(pt_context%zoom__zoom_Ids,pt_context%zoom__Ids) 
       CALL grid_group__swap_context(pt_context%grid_group__grid_group_Ids,pt_context%grid_group__Ids) 
-      CALL grid_definition__swap_context(pt_context%grid_definition__grid_definition)
+      CALL grid_definition__swap_context(pt_context%grid_definition__grid_def)
       CALL axis__swap_context(pt_context%axis__axis_Ids,pt_context%axis__Ids) 
       CALL axis_group__swap_context(pt_context%axis_group__axis_group_Ids,pt_context%axis_group__Ids) 
-      CALL axis_definition__swap_context(pt_context%axis_definition__axis_definition)
+      CALL axis_definition__swap_context(pt_context%axis_definition__axis_def)
       CALL dependency__swap_context(pt_context%dependency__file_enabled,pt_context%dependency__field_enabled,  &
                                     pt_context%dependency__field_id,pt_context%dependency__sorted_id)
Index: XMLIO_SERVER/trunk/src/XMLIO/mod_field.f90
===================================================================
--- XMLIO_SERVER/trunk/src/XMLIO/mod_field.f90	(revision 34)
+++ XMLIO_SERVER/trunk/src/XMLIO/mod_field.f90	(revision 35)
@@ -133,5 +133,6 @@
 
 
- SUBROUTINE field__set(p_field, name, ref, description, unit, operation, freq_op, axis_ref, grid_ref, zoom_ref, prec, level, enabled)
+ SUBROUTINE field__set(p_field, name, ref, description, unit, operation, freq_op, axis_ref, grid_ref, zoom_ref, prec, level, &
+                       enabled)
 
     TYPE(field), pointer :: p_field