Index: XMLIO_SERVER/trunk/arch/arch-IA64_PLATINE.fcm
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-IA64_PLATINE.fcm	(revision 37)
+++ XMLIO_SERVER/trunk/arch/arch-IA64_PLATINE.fcm	(revision 38)
@@ -4,5 +4,5 @@
 %MAKE                gmake
 %FPP_FLAGS           -P -traditional 
-%FPP_DEF             
+%FPP_DEF             _NONE_
 %BASE_FFLAGS         -i4 -r8 -automatic -align all -I/opt/mpi/current/include
 %PROD_FFLAGS         -O3
Index: XMLIO_SERVER/trunk/arch/arch-IA64_PLATINE.path
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-IA64_PLATINE.path	(revision 37)
+++ XMLIO_SERVER/trunk/arch/arch-IA64_PLATINE.path	(revision 38)
@@ -10,4 +10,8 @@
 set XMLF90_LIB="-lxmlf90"
 
+set OASIS_INCDIR="-I$PWD/../../prism/IA64/build/lib/psmile.MPI1"
+set OASIS_LIBDIR="-L$PWD/../../prism/IA64/lib"
+set OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
+
 set VAMPIR_INCDIR="-I/applications/intel/ict/3.0/itac/7.0/include"
 set VAMPIR_LIBDIR="-L/applications/intel/ict/3.0/itac/7.0/lib" 
Index: XMLIO_SERVER/trunk/arch/arch-PW6_VARGAS.fcm
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-PW6_VARGAS.fcm	(revision 37)
+++ XMLIO_SERVER/trunk/arch/arch-PW6_VARGAS.fcm	(revision 38)
@@ -4,5 +4,5 @@
 %MAKE                gmake
 %FPP_FLAGS           -P
-%FPP_DEF             
+%FPP_DEF             _NONE_
 %BASE_FFLAGS         -qautodbl=dbl4
 %PROD_FFLAGS         -O3
Index: XMLIO_SERVER/trunk/arch/arch-PW6_VARGAS.path
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-PW6_VARGAS.path	(revision 37)
+++ XMLIO_SERVER/trunk/arch/arch-PW6_VARGAS.path	(revision 38)
@@ -11,4 +11,8 @@
 set XMLF90_LIB="-lxmlf90"
 
+set OASIS_INCDIR="-I$PWD/../../prism/AIX6/build/lib/psmile.MPI1"
+set OASIS_LIBDIR="-L$PWD/../../prism/AIX6/lib"
+set OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
+
 set VAMPIR_INCDIR=
 set VAMPIR_LIBDIR=
Index: XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.fcm
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.fcm	(revision 37)
+++ XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.fcm	(revision 38)
@@ -4,5 +4,5 @@
 %MAKE                make
 %FPP_FLAGS           -P -traditional 
-%FPP_DEF             
+%FPP_DEF             _NONE_
 %BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A idbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
 %PROD_FFLAGS         -C vopt
Index: XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.path
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.path	(revision 37)
+++ XMLIO_SERVER/trunk/arch/arch-SX8_BRODIE.path	(revision 38)
@@ -8,2 +8,5 @@
 set XMLF90_LIBDIR="-L$PWD/../XMLF90/lib"
 set XMLF90_LIB="-lxmlf90"
+set OASIS_INCDIR="-I$PWD/../../prism/SX/build/lib/psmile.MPI1"
+set OASIS_LIBDIR="-L$PWD/../../prism/SX/lib"
+set OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.fcm
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.fcm	(revision 37)
+++ XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.fcm	(revision 38)
@@ -4,5 +4,5 @@
 %MAKE                make
 %FPP_FLAGS           -P -traditional 
-%FPP_DEF             
+%FPP_DEF             _NONE_
 %BASE_FFLAGS         -P stack -Wf,-pvctl res=whole,-A idbl4,-ptr byte -EP -R5 -float0 -size_t64 -dw -Wf,"-pvctl loopcnt=999999 fullmsg noassume"
 %PROD_FFLAGS         -C vopt
Index: XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.path
===================================================================
--- XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.path	(revision 37)
+++ XMLIO_SERVER/trunk/arch/arch-SX8_MERCURE.path	(revision 38)
@@ -8,2 +8,5 @@
 set XMLF90_LIBDIR="-L$PWD/../XMLF90/lib"
 set XMLF90_LIB="-lxmlf90"
+set OASIS_INCDIR="-I$PWD/../../prism/SX/build/lib/psmile.MPI1"
+set OASIS_LIBDIR="-L$PWD/../../prism/SX/lib"
+set OASIS_LIB="-lpsmile.MPI1 -lmpp_io"
Index: XMLIO_SERVER/trunk/configure
===================================================================
--- XMLIO_SERVER/trunk/configure	(revision 37)
+++ XMLIO_SERVER/trunk/configure	(revision 38)
@@ -124,8 +124,4 @@
 set LIB="$LIB $IOIPSL_LIBDIR $IOIPSL_LIB"
 
-# add path for netcdf library
-set INCDIR="$INCDIR $NETCDF_INCDIR"
-set LIB="$LIB $NETCDF_LIBDIR $NETCDF_LIB"
-
 if ( $has_oasis == TRUE ) then
   set INCDIR="$INCDIR $OASIS_INCDIR"
@@ -133,4 +129,8 @@
   set CPP_KEY="$CPP_KEY USE_OASIS"
 endif
+
+# add path for netcdf library
+set INCDIR="$INCDIR $NETCDF_INCDIR"
+set LIB="$LIB $NETCDF_LIBDIR $NETCDF_LIB"
 
 if ( $has_use_vt == TRUE ) then